package com.qmth.teachcloud.report.business.bean.params;

import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;

/**
 * @Description: 用户登录
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/4/23
 */
public class LoginParam {

    @ApiModelProperty(value = "验证码")
    private String code;

    @ApiModelProperty(value = "学校代码")
    @NotBlank(message = "学校代码不能为空")
    private String schoolCode;

    @ApiModelProperty(value = "用户手机号（优先给用户填的手机号发短信）")
    private String mobileNumber;

    @ApiModelProperty(value = "登录名")
//    @NotBlank(message = "请输入登录名")
    @Length(message = "登录名不能超过{max}个字符", max = 50)
    private String loginName;

    @ApiModelProperty(value = "密码")
//    @NotBlank(message = "请输入密码")
    @Length(message = "密码不能少于{min}位", min = 6)
    @Length(message = "密码不能超过{max}位", max = 30)
    private String password;

    @ApiModelProperty(value = "登录类型")
    private String type;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getSchoolCode() {
        return schoolCode;
    }

    public void setSchoolCode(String schoolCode) {
        this.schoolCode = schoolCode;
    }

    public String getMobileNumber() {
        return mobileNumber;
    }

    public void setMobileNumber(String mobileNumber) {
        this.mobileNumber = mobileNumber;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
